document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_15700
--- +++ @@ -9,12 +9,16 @@ exit 0 fi -docker pull docker.io/library/busybox:1.31.1 +BUSYBOX_VERSION=1.31.1 -docker tag busybox $1/cilium/cilium:$2 -docker tag busybox $1/cilium/cilium-dev:$2 -docker tag busybox $1/cilium/operator:$2 +docker pull docker.io/library/busybox:$BUSYBOX_VERSION + +docker tag busybox:$...
bash
d_bash_15701
--- +++ @@ -14,6 +14,11 @@ exit 1 fi +# Delete temporary artifacts +rm /tmp/data.zip + +cd ../data/ + # Rename files to be lowercase, some to not have a period mv Amendment.csv amendment.csv mv Corp.csv corp.csv @@ -25,11 +30,6 @@ mv Name.History.csv name_history.csv mv Reserved.Name.csv reserved_name.cs...
bash
d_bash_15702
--- +++ @@ -3,6 +3,7 @@ cd production_code mvn clean install cd target/github-publish/examples +npm install for f in *.js do node $f --key $1
bash
d_bash_15703
--- +++ @@ -1,6 +1 @@ [ -f ~/.gpg-agent-info ] && source ~/.gpg-agent-info -if [ -S ${GPG_AGENT_INFO%%:*} ]; then - export GPG_AGENT_INFO -else - eval $( gpg-agent --daemon) -fi
bash
d_bash_15704
--- +++ @@ -5,4 +5,10 @@ # building from a distributed tarball. set -x + +if [ "`uname`" = "OpenBSD" ] ; then + export AUTOCONF_VERSION=2.69 + export AUTOMAKE_VERSION=1.13 +fi + autoreconf -v -i
bash
d_bash_15705
--- +++ @@ -9,7 +9,7 @@ echo "# setting up Aspell dictionaries!!" ( - cd data + cd /tmp curl -o $F $URL tar xjf $F rm $F
bash
d_bash_15706
--- +++ @@ -30,3 +30,7 @@ brew install --HEAD neovim } +function update-language-servers() { + npm update -g typescript pyright vscode-css-languageserver-bin vscode-html-languageserver-bin + brew update efm-langserver +}
bash
d_bash_15707
--- +++ @@ -27,5 +27,5 @@ # snap if (which snap 1>/dev/null 2>/dev/null); then - export PATH=$PATH:/var/lib/snapd/snap/bin + export PATH=$PATH:/var/lib/snapd/snap/bin:/snap/bin fi
bash
d_bash_15708
--- +++ @@ -20,10 +20,10 @@ \ -DCMAKE_PREFIX_PATH="${PREFIX}" \ \ - -DCMAKE_SHARED_LINKER_FLAGS="${CXX_LDFLAGS}" \ + -DCMAKE_SHARED_LINKER_FLAGS="${LDFLAGS}" \ \ - -DCMAKE_CXX_LINK_FLAGS="${CXX_FLAGS}" \ - -DCMAKE_CXX_FLAGS="${CXX_FLAGS}" \ + -DCMAKE_CXX_LINK_FLAGS="${CX...
bash
d_bash_15709
--- +++ @@ -8,5 +8,6 @@ OS_VERSION=12.04 OS_TOKEN="$OS-$OS_VERSION" OS_CODENAME=precise +ISO=ubuntu-12.04-beta1-server-amd64.iso . "$CROWBAR_DIR/ubuntu-common/build_lib.sh"
bash
d_bash_15710
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash -l set -e + +export TMPDIR=$(mktemp -d) pushd deployments-buildpacks bundle
bash
d_bash_15711
--- +++ @@ -6,11 +6,11 @@ # on Python 2.7, use the system versions of numpy, scipy, and matplotlib # and the minimum version of cython and networkx -if [[ $TRAVIS_PYTHON_VERSION == 2.7* ]]; then +if [[ $TRAVIS_PYTHON_VERSION == 2.7* ]]; then sudo apt-get install python-scipy python-matplotlib pip insta...
bash
d_bash_15712
--- +++ @@ -16,3 +16,4 @@ export VISION_DB_USER="$DEX_DB_USER" export VISION_DB_PASSWORD="$DEX_DB_PASSWORD" export VISION_DB_DATABASE=visibility_dev +export VISION_DB_PORT=5432
bash
d_bash_15713
--- +++ @@ -2,9 +2,20 @@ mkdir build cd ./build -if [ "$1" = "--noapp" ] +if [ "$1" = "--noapp" ] || [ "$2" = "--noapp" ] then export NO_APP="True" +elif [ "$1" = "--cores" ] || [ "$2" = "--cores" ] +then + export MULCO_COMP="True" +else + export MULCO_COMP="False" fi cmake -DCMAKE_BUILD_TYPE=Release -DCM...
bash
d_bash_15714
--- +++ @@ -21,8 +21,8 @@ TO_ZIP_FILE="1" if test "$TO_ZIP_FILE" = '1'; then - zip -r "$APP_NAME.zip" "$APP_NAME*" - APP_PATH = "$APP_NAME.zip" + zip -r "$APP_NAME.zip" . -i "$APP_NAME*" + APP_PATH="$APP_NAME.zip" fi
bash
d_bash_15715
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash set -e -version="20.10.8" +version="20.10.9" echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz";
bash
d_bash_15716
--- +++ @@ -2,11 +2,12 @@ set -euo pipefail # Required env vars -# CONCOURSE_URL -# CONCOURSE_ATC_USER -# CONCOURSE_ATC_PASSWORD -# FLY_CMD -# FLY_TARGET +# shellcheck disable=SC2086 +: $CONCOURSE_URL \ + $CONCOURSE_ATC_USER \ + $CONCOURSE_ATC_PASSWORD \ + $FLY_CMD \ + $FLY_TARGET fetch_fly() { echo "Do...
bash
d_bash_15717
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh startslip -b 57600 -U ./slup.sh -D ./sldown.sh \ -s atd<phone1> -s atd<phone2> -s atd<phone3> \ - -h -t 60 -w 2 /dev/cuaa1 <login> <password> + -h -t 60 -w 2 -W 20 /dev/cuaa1 <login> <password>
bash
d_bash_15718
--- +++ @@ -5,8 +5,8 @@ image="$1" -# since we have curl in the tomcat image, we'll use that -clientImage="$1" +# since the "slim" tomcat variants don't have wget, we'll use buildpack-deps +clientImage='buildpack-deps:stretch-curl' serverImage="$1"
bash
d_bash_15719
--- +++ @@ -1,5 +1,14 @@ +for sum in md5sum md5 +do + if which -s $sum + then + CHECKSUM=$(which $sum) + break + fi +done + function get_tempdir_name() { - echo "$BATS_TMPDIR/$( echo ${1:-$BATS_TEST_FILENAME} $PPID | md5sum | awk '{ print $1 }' )" + echo "$BATS_TMPDIR/$( echo ${1:-$BATS_TEST_FILENAME} $PP...
bash
d_bash_15720
--- +++ @@ -14,5 +14,12 @@ IFS='-' read -ra VERSION <<< "$VERSION" git archive --format=tar HEAD | gzip -9 >$TMPDIR/SOURCES/ovirt-optimizer-$VERSION.tar.gz -rpmbuild --define "_topdir $TMPDIR" --define "_version $VERSION" --define "_release ${VERSION[1]-1}" -bs --nodeps $TMPDIR/SPECS/ovirt-optimizer.spec +if [ ...
bash
d_bash_15721
--- +++ @@ -21,3 +21,6 @@ cd ${install_dir}/proc-serve python3 setup.py install chmod 755 src/proc_serve.py + +#add link to executable +ln -sf /opt/proc-serve/src/proc_serve.py /usr/local/bin/procserve
bash
d_bash_15722
--- +++ @@ -5,10 +5,10 @@ echo echo "Downloading sources ..." -curl -L -O http://prdownloads.sourceforge.net/scons/scons-local-3.0.0.zip # latest version available here: http://scons.org/pages/download.html +curl -L -O https://downloads.sourceforge.net/scons/scons-local-3.0.1.zip # latest version available here: ...
bash
d_bash_15723
--- +++ @@ -21,7 +21,11 @@ } increment(){ - sum ${1} 1 + if [[ ! ${1} ]]; then + echo $((+1)) + else + sum ${1} 1 + fi } isDivisible(){
bash
d_bash_15724
--- +++ @@ -1,3 +1,3 @@ docker build -t bifrost_docs -f Dockerfile . -mkdir -p out -docker run --rm -i --net=none -v $(pwd)/out:/data bifrost_docs /bin/bash -c "cp -r ./* /data/" +mkdir -p html +docker run --rm -i --net=none -v $(pwd)/html:/data bifrost_docs /bin/bash -c "cp -r ./* /data/"
bash
d_bash_15725
--- +++ @@ -5,3 +5,7 @@ mas install 539883307 # LINE mas install 441258766 # Magnet mas install 897118787 # Shazam +mas install 668208984 # GIPHY CAPTURE +mas install 409183694 # Keynote +mas install 409201541 # Pages +mas install 409203825 # Numbers
bash
d_bash_15726
--- +++ @@ -1,14 +1,10 @@ #!/bin/bash set -e -echo "This is a test of building on a mac" -echo "expect: OS = Darwin" -echo "actual: OS = $(uname)" - cd "$(dirname $0)" -# Build is disabled until we get capacity. +export ANDROIDX_PROJECTS=KMP -# export ANDROIDX_PROJECTS=KMP -# # disable cache, for some reason, ...
bash
d_bash_15727
--- +++ @@ -1,7 +1,7 @@ # Activates autoenv or reports its failure -if ! source $HOME/.autoenv/activate.sh 2>/dev/null; then +if ! type autoenv_init &>/dev/null && ! source $HOME/.autoenv/activate.sh 2>/dev/null; then echo '-------- AUTOENV ---------' - echo 'Could not find ~/.autoenv/activate.sh.' + echo 'Coul...
bash
d_bash_15728
--- +++ @@ -3,7 +3,7 @@ # Source this file to make all the scripts available on your PATH # Location of this file -DIR="$( cd "$( dirname "$0" )" && pwd )" +DIR="$( cd "$( dirname "${BASH_SOURCE:-$0}" )" && pwd )" # Set up the PATH relative to the base DIR export PATH=$PATH:$DIR/
bash
d_bash_15729
--- +++ @@ -1,6 +1,7 @@ rm -rf $HUDSON_HOME/plugins/dry* -mvn install +mvn install || { echo "Build failed"; exit 1; } + cp -f target/*.hpi $HUDSON_HOME/plugins/ cd $HUDSON_HOME
bash
d_bash_15730
--- +++ @@ -27,10 +27,20 @@ COMMAND=$( which dayone;) # Add to Dayone - $COMMAND -d="$MONTH/$DAY/$YEAR" new < $D + RESULT=$( $COMMAND -d="$MONTH/$DAY/$YEAR" new < $D ) - # Remove File from Disk - rm $D + # Check if Import worked as expected + # Dayone CLI return as message, which begin...
bash
d_bash_15731
--- +++ @@ -1,6 +1,7 @@ #!/bin/sh apps=( + 1password alfred applepi-baker atom
bash
d_bash_15732
--- +++ @@ -8,6 +8,7 @@ alias ls='ls -h --color=auto' alias gr='cd $(git root)' +alias less='less -S' # enable horizontal scrolling in less export EDITOR=vim alias subs='filebot -get-subtitles'
bash
d_bash_15733
--- +++ @@ -1,3 +1,3 @@ #!/bin/sh gtkdocize --flavour no-tmpl || exit 1 -autoreconf -v -i && ./configure $@ +ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i && ./configure $@
bash
d_bash_15734
--- +++ @@ -6,4 +6,5 @@ echo "" echo "Next steps:" echo "- Deploy manage server (optional): ./deploy-site-manage.sh" -echo "- Deploy components : ./deploy-release.sh" +echo "- Deploy components : ./deploy-release.sh (or, for a development server, deploy-develop.sh)" +
bash
d_bash_15735
--- +++ @@ -7,7 +7,7 @@ # Process the options passed in to us by the build script into standard # variables. -process_builder_args "$@" +process_arguments "$@" # See if we have previously been configured by sensing the presense # of the config.status scripts
bash
d_bash_15736
--- +++ @@ -8,7 +8,7 @@ source ./virtualenv/bin/activate pip install -r requirements.txt -rm -r ./dist +rm -rf ./dist for tag in $(curl -sS https://registry.hub.docker.com/v2/repositories/library/ubuntu/tags/ | jq --raw-output '."results"[]["name"]'); do mkdir --parents ./dist/$tag
bash
d_bash_15737
--- +++ @@ -1 +1 @@ -rsync -avz -e ssh --delete --exclude=logs/ ./www/ accessibility@accessibility.kr:www/nia/ +rsync -avz -e ssh --delete --exclude=logs/ ./www/ accessibility@accessibility.kr:public_html/nia/
bash
d_bash_15738
--- +++ @@ -3,4 +3,4 @@ CLASSPATH=$(find "$LOGBULK_LIB" -name '*.jar' -printf '%p:' | sed 's/:$//') # Launch -exec java -XX:+UseG1GC -Xmx${MEM} -Dvertx.logger-delegate-factory-class-name=io.vertx.core.logging.SLF4JLogDelegateFactory -Dconfig.file=conf/app.conf ${CONF} -server -cp ${CLASSPATH} io.vertx.core.Launch...
bash
d_bash_15739
--- +++ @@ -9,7 +9,7 @@ sudo apt-get install -qq ocaml ocaml-native-compilers camlp4-extra opam export OPAMYES=1 -opam init git@github.com:ocaml/opam-repository.git +opam init https://github.com/ocaml/opam-repository.git opam install ${OPAM_PACKAGES} eval `opam config env`
bash
d_bash_15740
--- +++ @@ -4,18 +4,18 @@ java -jar scanner/build/libs/scanner.jar PlayServices $ANDROID_HOME/extras/google/m2repository/com/google/android/gms java -jar scanner/build/libs/scanner.jar SupportLibrary $ANDROID_HOME/extras/android/m2repository/com/android/support echo Compare output with current stored version... -g...
bash
d_bash_15741
--- +++ @@ -3,5 +3,8 @@ BUILDROOT="$(git rev-parse --show-toplevel)" +set +x source $BUILDROOT/build-aux/ci/format-code.sh "$(git rev-parse HEAD~)" +set -x + source $BUILDROOT/build-aux/ci/build-linux.sh
bash
d_bash_15742
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash SOURCE_MANIFESTS_PATH=grootfs-ci-secrets/deployments -MANIFESTS="gamora/concourse.yml grootfs-bench/aws.yml gamora/datadog-firehose-nozzle.yml" +MANIFESTS="gamora/concourse.yml grootfs-bench/aws.yml" mkdir -p manifests/gamora mkdir -p manifests/grootfs-bench
bash
d_bash_15743
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash +SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" +cd "$SCRIPT_DIR/.." if [[ $# != 1 ]]; then echo "Usage: $0 <commitish>" @@ -6,26 +8,23 @@ fi RELEASE_VERSION="v$1" -NEW_VERSION_PATH="docs/_releases/$RELEASE_VERSION" -LATEST_VERSION_PATH="docs/_releases/...
bash
d_bash_15744
--- +++ @@ -1,3 +1,11 @@ +#!/bin/sh +# +# Mark Stacy +# arg_host added to accomidate boot2docker +# ./run.sh <boot2docker ip> +# +# Default is localhost +# ./run.sh arg_host=$1 if [ -z "$1" ]
bash
d_bash_15745
--- +++ @@ -22,4 +22,9 @@ fi (cd ${ROCKSDB_DIR} && \ - make -j 4 libzstd.a libsnappy.a libbz2.a libz.a liblz4.a static_lib) + make -j 4 libzstd.a && \ + make -j 4 libsnappy.a && \ + make -j 4 libbz2.a && \ + make -j 4 libz.a && \ + make -j 4 liblz4.a && \ + make -j 4 static_lib)
bash
d_bash_15746
--- +++ @@ -13,7 +13,7 @@ tar -zxf icu4c.tar.gz -C icu echo "Downloading JSC" -curl -O http://builds.nightly.webkit.org/files/trunk/src/WebKit-r174650.tar.bz2 +curl -O https://builds-nightly.webkit.org/files/trunk/src/WebKit-r174650.tar.bz2 echo "Extracting JSC" tar -jxf WebKit-r174650.tar.bz2 -C jsc --strip ...
bash
d_bash_15747
--- +++ @@ -20,14 +20,14 @@ echo printing date for f in *.jpg do - python ../photo-exif-date-print.py $f + python3 ../photo-exif-date-print.py $f done else echo date is not printed fi # encoding video -avconv -y -f image2 -r $FPS -i %6d.jpg -aspect $ASPECT -s $VIDEO_SIZE $OUTFILE +ffmpeg -y -f image2...
bash
d_bash_15748
--- +++ @@ -1,12 +1,23 @@ set -e set -x +MAX_WAIT_RETRIES=20 RECORDER_ENDPOINT=${RECORDER_ENDPOINT:-"http://localhost:9977"} + +wait_for_port() { + retries=0 + while ! nc -z localhost $1 && [[ $retries -lt $MAX_WAIT_RETRIES ]]; do + sleep 0.1 + retries=$((retries+1)) + done + [[ $retries -lt $MAX_WAIT_...
bash
d_bash_15749
--- +++ @@ -2,6 +2,6 @@ # Extract all translatable messages to update the Arista PO template -xgettext -L glade -o locale/templates/arista.pot ui/*.ui | tail -n +6 > +xgettext -L glade -o locale/templates/arista.pot ui/*.ui xgettext -L python -o locale/templates/arista.pot -j arista-gtk arista-transcode arista-...
bash
d_bash_15750
--- +++ @@ -3,6 +3,7 @@ echo "👉 Installing Swift" eval "$(curl -sL https://apt.vapor.sh)" sudo apt-get install vapor +sudo chmod -R a+x /usr/ echo "👉 Installing Marathon" git clone https://github.com/JohnSundell/Marathon.git
bash
d_bash_15751
--- +++ @@ -21,7 +21,7 @@ DAEMON="${MWISSUES_PATH}/index.js" -PIDFILE="${MWISSUES_PATH}/mwissues.pid" +PIDFILE="/run/mwissues.pid" START_ARGS="--background --user ${MWISSUES_USER} --chuid ${MWISSUES_USER} --chdir ${MWISSUES_PATH} --make-pidfile" STOP_ARGS="--user ${MWISSUES_USER}"
bash
d_bash_15752
--- +++ @@ -1,6 +1,6 @@ -#!/usr/bin/env bash +#!/usr/bin/env sh -if [ "$SPACEX_WORKER" == "true" ]; then +if [ "$SPACEX_WORKER" = "true" ]; then node ./jobs/worker.js else node ./server.js
bash
d_bash_15753
--- +++ @@ -1,15 +1,16 @@ #!/bin/sh -if [ $# != 2 ]; then - if [ $# != 3 ]; then - echo "Usage: $0 <project/experiment> <my-ip> [stub-ip]" +if [ $# != 3 ]; then + if [ $# != 4 ]; then + echo "Usage: $0 <project> <experiment> <my-ip> [stub-ip]" exit 1; fi + SIP=$4 fi PID=$1 EID=$...
bash
d_bash_15754
--- +++ @@ -17,5 +17,5 @@ alias gco='git checkout' alias gb='git branch' alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. -# alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \ -# sed 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm" +alias grm="git stat...
bash
d_bash_15755
--- +++ @@ -32,5 +32,5 @@ make -j4 sudo make install -mkdir -p "$prefix/lib" -cp "$pbd_dir/lib/libPartsBasedDetector.so" "$prefix/lib" +mkdir -p "$project_root/lib" +cp "$pbd_dir/lib/libPartsBasedDetector.so" "$project_root/lib"
bash
d_bash_15756
--- +++ @@ -8,6 +8,8 @@ ARCHIVE_MD5=b5b406b30e054aef76bf13b6937e5c7c ARCHIVE_SHA1=76b05a23549aab7e0b9d58833d59d6d527f202e9 +tmpfile=runme-$$.tmp + if [ ! -f ${ARCHIVE_FILENAME} ]; then echo "INFO: Downloading ${ARCHIVE_FILENAME}... " wget -O ${ARCHIVE_FILENAME} ${ARCHIVE_URL} @@ -15,15 +17,19 @@ if ...
bash
d_bash_15757
--- +++ @@ -3,7 +3,7 @@ # Command completion # Only source completion if the shell is interactive. -if [ -n "$INTERACTIVE" -a -z "$BASH_COMPLETION" ]; then +if [ -n "$INTERACTIVE" ]; then bash=${BASH_VERSION%.*}; bmajor=${bash%.*}; bminor=${bash#*.} if [ $bmajor -gt 1 ]; then # Search for a bash_comple...
bash
d_bash_15758
--- +++ @@ -5,6 +5,7 @@ # compile all the modules, one by one. stop if they don't build, because # otherwise we would put in production a non-working version of the software cd $guib/agora-gui-admin/ +bower update --config.interactive=false grunt build if [ $? -ne 0 ] then @@ -13,6 +14,7 @@ fi cd $guib/agor...
bash
d_bash_15759
--- +++ @@ -1,8 +1,13 @@ #!/bin/sh NAME=util.cov -lcov --quiet --base-directory . --directory . -c --include "*/ada-util/src/*" -o $NAME +lcov --quiet --base-directory . --directory . -c -o $NAME +lcov --quiet --remove $NAME "/usr*" -o $NAME +lcov --quiet --remove $NAME "/build*" -o $NAME +lcov --quiet --remove $NA...
bash
d_bash_15760
--- +++ @@ -35,5 +35,5 @@ echo "Started Etherpad..." SCRIPTPATH=`pwd -P` -exec node $SCRIPTPATH/node_modules/ep_etherpad-lite/node/server.js $* +exec node "$SCRIPTPATH/node_modules/ep_etherpad-lite/node/server.js" $*
bash
d_bash_15761
--- +++ @@ -6,6 +6,6 @@ STOP_SERVICE="(sudo service celery stop || /bin/true)" CHANGE_DIR="cd /opt/app/" -RUN_CELERY="envdir /etc/nyc-trees.d/env celery -A 'nyc_trees.celery:app' worker --autoreload -l debug" +RUN_CELERY="sudo -u celery envdir /etc/nyc-trees.d/env celery -A 'nyc_trees.celery:app' worker --autorel...
bash
d_bash_15762
--- +++ @@ -1,5 +1,7 @@ _CF_COMMAND=1 _COMPLETION_LOCATION="$HOME/workspace/cf_completion" + +_APP_COMMANDS=( app push p scale delete d rename start st stop sp restart rs restage rg events files f logs env e set-env se unset-env stacks ) _echo_array() { echo "Array items and indexes:" @@ -26,7 +28,7 @@ if ...
bash
d_bash_15763
--- +++ @@ -15,4 +15,4 @@ gem install danger-jira gem install danger-android_lint -danger --fail-on-errors=true +danger --fail-on-errors=false
bash
d_bash_15764
--- +++ @@ -39,9 +39,16 @@ echo "Installing fonts..." tap_repo caskroom/fonts - install_cask font-open-sans - install_cask font-montserrat + # Installing fonts from Google Web Fonts is currently broken + # install_cask font-open-sans + # install_cask font-montserrat install_cask font-ubuntu + + echo "Installi...
bash
d_bash_15765
--- +++ @@ -4,5 +4,5 @@ gem environment bundler_version=$(grep bundler omnibus_overrides.rb | cut -d'"' -f2) -gem install bundler -v $bundler_version +gem install bundler -v $bundler_version --user-install bundle _${bundler_version}_ install
bash
d_bash_15766
--- +++ @@ -3,7 +3,10 @@ cd service_crategen git submodule update --init -cargo run -- generate -c ./services.json -o ../rusoto/services +ver=$(cargo fmt --version) +echo "Checking rustfmt with $ver" +cd .. +make generate diff=$(git diff) if [ -n "$diff" ]; then echo
bash
d_bash_15767
--- +++ @@ -4,15 +4,17 @@ source "$TOP_DIR/config/paths" source "$CONFIG_DIR/credentials" source "$LIB_DIR/functions.guest" -source "$CONFIG_DIR/admin-openstackrc.sh" exec_logfile indicate_current_auto #------------------------------------------------------------------------------ # Create the external net...
bash
d_bash_15768
--- +++ @@ -21,11 +21,11 @@ sudo pip install --upgrade twine # Copy and rename to tf_nightly -for f in $(ls "${TF_FILE_DIR}"/tf_nightly_gpu*dev*cp3*-cp3*-win_amd64.whl); do +for f in $(ls "${KOKORO_GFILE_DIR}"/tf_nightly_gpu*dev*cp3*-cp3*-win_amd64.whl); do copy_to_new_project_name "${f}" tf_nightly done #...
bash
d_bash_15769
--- +++ @@ -5,7 +5,7 @@ include string.util.StringUtil CommandValidator(){ - _getValidFunctions(){ + getValidFunctions(){ local file=${1} local validFunctions=() @@ -20,7 +20,7 @@ } validateCommand(){ - local validCommands=($(_getValidFunctions ${1})) + local validCommands=($(getValidFunctions ${1...
bash
d_bash_15770
--- +++ @@ -11,6 +11,9 @@ export RAM=$(($memory_limit > $memory_free ? $memory_free : $memory_limit)) fi +# Fix domain separator +export DOMAINS=$(echo "$DOMAINS" | sed -e 's/[,; ]\+/ /g') + # Call sub scripts cd "$(dirname "$0")" for script in *; do
bash
d_bash_15771
--- +++ @@ -4,4 +4,6 @@ curl -L -o dialog.zip https://corpus-tools.org/corpora/dialog.demo_relANNIS.zip curl -L -o aeschylus.zip https://corpus-tools.org/corpora/Aeschylus.Persae.L1-18_relAnnis.zip mkdir -p $HOME/.annis/v4/ -annis -c "use_disk on" -c "import pcc2.zip" -c "import dialog.zip" -c "import aeschylus....
bash
d_bash_15772
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -if [ "$TRAVIS_REPO_SLUG" == "openxc/openxc-android" ] && [ "$TRAVIS_JDK_VERSION" == "openjdk8" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "automate-javadoc" ]; then +if [ "$TRAVIS_REPO_SLUG" == "openxc/openxc-android" ] && [ "$TRAVIS_JDK_VERSION" == "op...
bash
d_bash_15773
--- +++ @@ -8,7 +8,7 @@ ERROR_FILES="" FILES_TO_CHECK=`find . \ - -size +0 -type f \( -name '*.sh' -o -name '*.py' -o -name 'Makefile' \) \ + -size +0 -type f \( -name '*.sh' -o -name '*.py' -o -name '*.vue' -o -name 'Makefile' \) \ \( -not -path "*/.*/*" -not -path "*/third_party/*" \)` for file in...
bash
d_bash_15774
--- +++ @@ -12,8 +12,8 @@ # PREFIX gives the location passed to a build system for installation, usually # `configure --prefix`. -#export PREFIX=$INSTALL_PREFIX -export PREFIX=$PWD/dst +export PREFIX=$INSTALL_PREFIX +#export PREFIX=$PWD/dst # Let make take advantage of multiple processor cores. Some versions o...
bash
d_bash_15775
--- +++ @@ -18,7 +18,9 @@ VIRTUALENV_DIR=/var/tmp/virtualenvs/$(echo ${JOB_NAME} | tr ' ' '-') export PIP_DOWNLOAD_CACHE=/var/tmp/pip_download_cache -virtualenv --clear --no-site-packages $VIRTUALENV_DIR +if [ ! -e $VIRTUALENV_DIR ]; then + virtualenv --no-site-packages $VIRTUALENV_DIR +fi source $VIRTUALENV_DI...
bash
d_bash_15776
--- +++ @@ -4,8 +4,10 @@ echo '{ "project_info": { - "project_number": "0", - "project_id": "mock-project-id" + "project_number": "1234567894652", + "firebase_url": "https://squanchy-mock.firebaseio.com", + "project_id": "squanchy-mock", + "storage_bucket": "squanchy-mock.appspot.com" }, ...
bash
d_bash_15777
--- +++ @@ -22,7 +22,7 @@ mv composer.phar /usr/local/bin/composer # Install global Composer packages -/usr/local/bin/composer global require laravel/installer laravel/lumen-installer laravel/valet tightenco/jigsaw +/usr/local/bin/composer global require laravel/installer laravel/lumen-installer laravel/valet tig...
bash
d_bash_15778
--- +++ @@ -2,6 +2,10 @@ { local file="$1" local version="$2" + + if [[ ! -f "$file" ]]; then + return 1 + fi grep -q -x "$version" "$file" } @@ -10,6 +14,10 @@ { local file="$1" local key="$2" + + if [[ ! -f "$file" ]]; then + return 1 + fi if [[ -z "$key" ]]; then tail -n 1 "$file"
bash
d_bash_15779
--- +++ @@ -7,6 +7,9 @@ ./build sudo cp -v bin/* /usr/local/bin -curl -s -q -L -o rkt.tar.gz https://github.com/coreos/rkt/releases/download/v0.9.0/rkt-v0.9.0.tar.gz -z rkt.tar.gz +curl -s -q -L -o rkt.tar.gz https://github.com/coreos/rkt/releases/download/v1.1.0/rkt-v1.1.0.tar.gz -z rkt.tar.gz tar xfv rkt.tar.g...
bash
d_bash_15780
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash NEW_PORT=$1 -OLD_PORTS=`iptables -t nat -S | grep "\-A OUTPUT" | sed -r 's/^.+ --to-destination :([0-9]+)$/\1/'` +OLD_PORTS=`iptables -t nat -S | grep "\-A OUTPUT" | grep "\-\-dport 8080" | sed -r 's/^.+ --to-destination :([0-9]+)$/\1/'` # Add new port to preroute if [ -n "...
bash
d_bash_15781
--- +++ @@ -20,6 +20,10 @@ basedir=$(dirname $0) venvdir=~/.virtualenvs/$(basename $(cd $(dirname $0) && pwd -P)) +if [ ! -d $venvdir ]; then + virtualenv $venvdir +fi + source "$venvdir/bin/activate" pip install -r requirements_for_tests.txt
bash
d_bash_15782
--- +++ @@ -12,12 +12,12 @@ mkdir $BUILD_PATH fi -apt-key add /vagrant/install_files/ansible-base/roles/install_fpf_repo/files/fpf-signing-key.pub - -if [ ! -f /etc/apt/sources.list.d/fpf.list ]; then - echo "deb [arch=amd64] https://apt.pressfreedomfoundation.org/ trusty main" > /etc/apt/sources.list.d/fp...
bash
d_bash_15783
--- +++ @@ -3,4 +3,6 @@ curl -o /etc/nginx/.htpasswd $REGISTRY_USERS +cat /etc/nginx/.htpasswd + /usr/sbin/nginx -c /etc/nginx/nginx.conf
bash
d_bash_15784
--- +++ @@ -14,6 +14,8 @@ -s ASM_JS=1 \ -s VERBOSE=1 \ -s ERROR_ON_UNDEFINED_SYMBOLS=1 \ + -s NO_FILESYSTEM=1 \ + -s NO_BROWSER=1 \ -s EXPORTED_FUNCTIONS="['_OgvJsInit', '_OgvJsDestroy', '_OgvJsReceiveInput', '_OgvJsProcess', '_OgvJsDecodeFrame', '_OgvJsDecodeAudio']" \ -Ibuild/js/root/include \ -...
bash
d_bash_15785
--- +++ @@ -3,4 +3,4 @@ cd $(dirname $0) rpm -i http://repos.mesosphere.io/el/7/noarch/RPMS/mesosphere-el-repo-7-1.noarch.rpm -yum -q -y install mesos-0.22.1 marathon-0.9.0 mesosphere-zookeeper-3.4.6 +yum -q -y install mesos-0.23.0 marathon-0.9.0 mesosphere-zookeeper-3.4.6
bash
d_bash_15786
--- +++ @@ -15,4 +15,4 @@ # Extract strings from all source files. # If your framework depends on KI18n, use $XGETTEXT. If it uses Qt translation # system, use $EXTRACT_TR_STRINGS. -$XGETTEXT `find . -name \*.cpp -o -name \*.h -name \*.qml` -o $podir/kjsembed5.pot +$XGETTEXT `find . -name \*.cpp -o -name \*.h -o -...
bash
d_bash_15787
--- +++ @@ -8,7 +8,7 @@ version="${args[1]}" if [[ "${COVERAGE:-}" == "--coverage" ]]; then - timeout=90 + timeout=99 else timeout=11 fi
bash
d_bash_15788
--- +++ @@ -10,7 +10,7 @@ export DOCKER_NAME_TAG=ubuntu:22.04 # Check that Jammy can cross-compile to win64 export HOST=x86_64-w64-mingw32 export DPKG_ADD_ARCH="i386" -export PACKAGES="python3 nsis g++-mingw-w64-x86-64 wine-binfmt wine64 wine32 file" +export PACKAGES="python3 nsis g++-mingw-w64-x86-64-posix wine-...
bash
d_bash_15789
--- +++ @@ -1,6 +1,11 @@ #!/bin/bash set -e + +if [ -d "$HOME/ompi" ]; then + echo "Openmpi already installed." + exit 0 +fi curl http://www.open-mpi.org/software/ompi/v1.10/downloads/openmpi-1.10.0.tar.gz | tar zx
bash
d_bash_15790
--- +++ @@ -2,4 +2,4 @@ # Converts a .gv specification for a digraph to a PNG image and views it with eog. -dot -v -Tpng $1.gv > $1.png && eog $1.png +dot -v -Gdpi=300 -Tpng $1.gv > $1.png && eog $1.png
bash
d_bash_15791
--- +++ @@ -1,7 +1,4 @@ #!/bin/bash - -# Many lols. See gruntfile for full explanation. -node -e "require('ts-compiler')" # Run all tests using jest if [[ $TRAVIS ]]
bash
d_bash_15792
--- +++ @@ -3,5 +3,5 @@ echo "Copying .hyper.js file..." cp ./prompt/.hyper.js ~/ echo "Copying starship.toml file..." -mkdir -p ~/config -cp ./prompt/starship.toml ~/config/starship.toml +mkdir -p ~/.config +cp ./prompt/starship.toml ~/.config/starship.toml
bash
d_bash_15793
--- +++ @@ -1,6 +1,4 @@ #!/bin/sh - -# create large file echo | ${EXECUTABLE} -r 44100 -c 1 -s 2 -i /dev/zero -f track_%d.raw
bash
d_bash_15794
--- +++ @@ -6,7 +6,7 @@ mkdir build cd build cmake .. -DCMAKE_BUILD_TYPE=Release -make MATCHCOMPILER=yes FILESDIR=/usr/share/cppcheck HAVE_RULES=yes CXXFLAGS="-O2 -DNDEBUG -Wall -Wno-sign-compare -Wno-unused-function" -j +make MATCHCOMPILER=yes FILESDIR=/usr/share/cppcheck HAVE_RULES=yes CXXFLAGS="-O2 -DNDEBUG -Wa...
bash
d_bash_15795
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -if type "zsh" > /dev/null; then +if command -v zsh > /dev/null; then if [ ! -d ~/.shellrc/oh-my-zsh ]; then git clone -q https://github.com/robbyrussell/oh-my-zsh ~/.shellrc/oh-my-zsh fi
bash
d_bash_15796
--- +++ @@ -23,8 +23,8 @@ touch $MSCLOG ln -sf $MSCLOG logs/mastercore.log -# remove persistence files since -rm -rf $DATADIR/MP_{persist,spinfo,txlist} +# remove Master Protocol persistence directories/files +rm -rf $DATADIR/MP_* # Run Bitcoin on main net mode $BTCD -server -datadir=$DATADIR -debug > logs/b...
bash
d_bash_15797
--- +++ @@ -2,5 +2,5 @@ python3 ~/core/pwb.py ANBcounter python3 ~/core/pwb.py GANtable python3 ~/core/pwb.py FACtable -# python3 ~/core/pwb.py categorize -newpages:500 -always -# python3 ~/core/pwb.py categorize -random:500 -always +python3 ~/core/pwb.py categorize -newpages:500 -always +python3 ~/core/pwb.py ca...
bash
d_bash_15798
--- +++ @@ -3,10 +3,10 @@ case "$1" in java8) - echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jdk_x64_linux_hotspot_8u312b07.tar.gz" + echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar...
bash
d_bash_15799
--- +++ @@ -3,7 +3,6 @@ export USR_PATH="/usr/local/bin:/usr/local/sbin" export HEROKU_PATH="/usr/local/heroku/bin" export PG_PATH="/Applications/Postgres.app/Contents/MacOS/bin" -export PYTHON_PATH="/usr/local/share/python" export NODE_PATH="/usr/local/share/npm/bin" export OSX_PATH="/usr/bin:/usr/sbin:/bin:/sb...
bash